Bug 198203 - Prelink doesn't work on Wine's binaries: Unknown stabs code 0x2e
Prelink doesn't work on Wine's binaries: Unknown stabs code 0x2e
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 10:01 EDT by Vitaliy Margolen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.3.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 09:38:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitaliy Margolen 2006-07-10 10:01:57 EDT
Description of problem:
Wine uses prelink to relocate few of it's libraries to fixed address:

$ prelink -r 0x7bc00000 ntdll.dll.so
prelink: ntdll.dll.so: Unknown stabs code 0x2e

If I strip ntdll.dll.so then prelink works as expected.

It started to happen with gcc4.0. Worked fine with 3.5*

This is Open SuSE 10.1. Had same problem with 10.0
$prelink --version
prelink 1.0

Tested on FC5 prelink-0.3.6-3. Same exact results.
Comment 1 Jakub Jelinek 2006-07-12 09:38:20 EDT
Should be fixed in prelink-0.3.9-1.
Comment 2 Vitaliy Margolen 2006-07-28 00:54:09 EDT
Verified working.
Thank you.

Note You need to log in before you can comment on or make changes to this bug.